@import '../settings.scss';

a {
	color: var(--color);
	display: inline-block;
	font-weight: bold;
	text-decoration: none;

	&:hover {
		filter: brightness(var(--hover-brightness));
		text-decoration: underline;
	}
}

a b,
a em,
a i,
a strong,
button {
    border-radius: $border-radius;
    display: inline-block;
    font-size: medium;
    font-weight: bold;
    line-height: var(--line-height);
    margin: 0.5rem 0;
    padding: 1rem 2rem;
}

button {
    font-family: var(--font-family);

    &:hover {
        cursor: pointer;
        filter: brightness(var(--hover-brightness));
    }
}


a b,
a strong,
button {
    background-color: var(--color);
    border: 2px solid var(--color);
    color: var(--color-bg);
}

a em,
a i {
    border: 2px solid var(--color);
    border-radius: $border-radius;
    color: var(--color);
    display: inline-block;
    padding: 1rem 2rem;
}